import { VoiceEntry } from "opensheetmusicdisplay/build/dist/src";
declare type NoteSchedulingCallback = (delay: number, notes: any) => void;
export default class PlaybackScheduler {
    denominator: number;
    wholeNoteLength: number;
    private stepQueue;
    private stepQueueIndex;
    private scheduledTicks;
    private currentTick;
    private currentTickTimestamp;
    private audioContext;
    private audioContextStartTime;
    private schedulerIntervalHandle;
    private scheduleInterval;
    private schedulePeriod;
    private tickDenominator;
    private lastTickOffset;
    private playing;
    private loaderFutureTicks;
    private noteSchedulingCallback;
    constructor(denominator: number, wholeNoteLength: number, audioContext: AudioContext, noteSchedulingCallback: NoteSchedulingCallback);
    get schedulePeriodTicks(): number;
    get audioContextTime(): number;
    get tickDuration(): number;
    private get calculatedTick();
    start(): void;
    setIterationStep(step: number): void;
    pause(): void;
    resume(): void;
    reset(): void;
    loadNotes(currentVoiceEntries: VoiceEntry[]): void;
    private scheduleIterationStep;
    private nextTickAvailableAndWithinSchedulePeriod;
}
export {};
